/* Defines */

#ifndef __GNUC__
#define inline __inline
#endif

/* Macro for converting positive double to int */
#define round(x) (unsigned int)((x) + 0.5)

/* Model types */
#define CONSTRAINED_LDA   0
#define UNIFORM_LDA       1
#define MALLOWS_LDA       2

/* Locations of parameters */
#define R_DOCUMENTS       0
#define R_NUMSENTS        1
#define R_T               2
#define R_S               3
#define R_V               4
#define R_RHO             5
#define R_THETA_N_0       6
#define R_THETA_D_0       7
#define R_THETA_T_0       8
#define R_TAU_0           9
#define R_SIGMA_0         10
#define R_V_0             11
#define R_NU_0            12
#define R_NTHETA_N        13
#define R_NTHETA_NS       14
#define R_NTHETA_D        15
#define R_NTHETA_DS       16
#define R_NTHETA_T        17
#define R_NTHETA_TS       18
#define R_NTAU            19
#define R_NTAUS           20
#define R_NSIGMA          21
#define R_NSIGMAS         22
#define R_NVS             23
#define R_ITERATIONS      24
#define R_RHO_BURNIN      25
#define R_MODEL           26

#define L_T               0
#define L_S               1
#define L_V               2
#define L_RHO             3
#define L_NTHETA_N        4
#define L_NTHETA_NS       5
#define L_NTHETA_D        6
#define L_NTHETA_DS       7
#define L_NTHETA_T        8
#define L_NTHETA_TS       9
#define L_NTAU            10
#define L_NTAUS           11
#define L_NSIGMA          12
#define L_NSIGMAS         13
#define L_NVS             14
